MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030337Open CASCADE[OCCT] OCCT:DRAWpublic2018-11-02 18:412018-11-11 12:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030337: Draw Harness, ViewerTest - do not restrict vtexture to AIS_Shape
DescriptionCurrent implementation of vtexture expects AIS_Shape.
However the basic logic of setting texture to Graphic3d_AspectFillArea3d
can be applied to arbitrary AIS_InteractiveObject (for example, generated by vdrawparray command).
Steps To ReproduceTest case if not required.

pload MODELING VISUALIZATION
set v00 {v 0 0 0}; set v01 {v 0 1 0}; set v11 {v 1 1 0}; set v10 {v 1 0 0};
set vv "$v00 $v01 $v11 $v10"
set vt "$v00 t 0.25 0.25, $v01 t 0.25 0.75, $v11 t 0.75 0.75, $v10 t 0.75 0.25"
vclear
vinit View1
vtop
vrenderparams -shadingModel unlit
vdrawparray q1t triangles {*}$vt, e 1 e 2 e 3, e 1 e 3 e 4
vdrawparray q1e segments  {*}$vv, e 1 e 2, e 2 e 3, e 3 e 4, e 4 e 1, e 3 e 1
vfit
vtexture q1t 2
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028912closedbugmaster Open CASCADE Visualization, TKOpenGl - multi-texture support 

-  Notes
(0080661)
git (administrator)
2018-11-02 18:42

Branch CR30337 has been created by kgv.

SHA-1: a0046b92ed74c71131d9bc58448f8a57bcff869f


Detailed log of new commits:

Author: kgv
Date: Fri Nov 2 18:40:51 2018 +0300

    0030337: Draw Harness, ViewerTest - do not restrict vtexture to AIS_Shape
(0080662)
kgv (developer)
2018-11-02 18:43
edited on: 2018-11-06 14:45

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30337-master-KGV [^]

(0080740)
git (administrator)
2018-11-06 12:40

Branch CR30337 has been updated forcibly by kgv.

SHA-1: f1bed95064ae2b3897b092dce9fd5041fc8b7bba
(0080774)
bugmaster (administrator)
2018-11-06 16:47

Combination -
OCCT branch : CR30337 SHA - f1bed95064ae2b3897b092dce9fd5041fc8b7bba
Products branch : master SHA - 4525a60ddf97fbcad482f1351d777d1e352a8307
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 4493.069999999858 / 4489.799999999858 [+0.07%]
Products
Total CPU difference: 7033.920000000027 / 7035.140000000028 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 17591.21875 / 17600.625 [-0.05%]
Products
Total CPU difference: 8497.796875 / 8526.203125 [-0.33%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0081044)
git (administrator)
2018-11-11 12:01

Branch CR30337 has been deleted by inv.

SHA-1: f1bed95064ae2b3897b092dce9fd5041fc8b7bba

- Related Changesets
occt: master c84c2ef7
Timestamp: 2018-11-02 15:40:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030337: Draw Harness, ViewerTest - do not restrict vtexture to AIS_Shape
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-11-02 18:41 kgv New Issue
2018-11-02 18:41 kgv Assigned To => kgv
2018-11-02 18:41 kgv Description Updated View Revisions
2018-11-02 18:42 git Note Added: 0080661
2018-11-02 18:43 kgv Note Added: 0080662
2018-11-02 18:43 kgv Assigned To kgv => san
2018-11-02 18:43 kgv Status new => resolved
2018-11-02 18:43 kgv Relationship added related to 0028811
2018-11-02 18:44 kgv Relationship added related to 0028912
2018-11-06 12:40 git Note Added: 0080740
2018-11-06 14:45 kgv Assigned To san => bugmaster
2018-11-06 14:45 kgv Severity integration request => tweak
2018-11-06 14:45 kgv Status resolved => reviewed
2018-11-06 14:45 kgv Note Edited: 0080662 View Revisions
2018-11-06 14:45 kgv Note Edited: 0080662 View Revisions
2018-11-06 15:03 bugmaster Test case number => Not needed
2018-11-06 16:47 bugmaster Note Added: 0080774
2018-11-06 16:47 bugmaster Status reviewed => tested
2018-11-11 11:52 bugmaster Changeset attached => occt master c84c2ef7
2018-11-11 11:52 bugmaster Status tested => verified
2018-11-11 11:52 bugmaster Resolution open => fixed
2018-11-11 12:01 git Note Added: 0081044


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker